Форум русской поддержки Joomla!® CMS
06.12.2016, 09:58:38 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
   
   Начало   Поиск Joomla 3.0 FAQ Joomla 2.5 FAQ Joomla 1.5 FAQ Правила форума Новости Joomla Реклама Войти Регистрация Помощь  
Страниц: [1]   Вниз
  Добавить закладку  |  Печать  
Автор

Конфликт библиотек в шаблоне Joomla 2.5

 (Прочитано 1078 раз)
0 Пользователей и 1 Гость смотрят эту тему.
Ragnos
Давно я тут
****

Репутация: +0/-0
Offline Offline

Сообщений: 254


« : 07.08.2013, 17:16:43 »

Привет, установил модуль всплывающих окон S5 Box на Joomla 2.5, он отказался работать, конфликт скорее всего вызван разными версиями Jquery, в шаблоне стоит версия 1.8.3, а в модуле 1.3.2. В шаблоне убрал вот эту строку

<script src="//ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js"></script>

и модуль заработал, но некорректно стал работать Flash калькулятор. Устанавливал плагины JB Library и jQuery Easy, они помогали, но после их включения шаблон конкретно разлетался.

Знает кто нибуть, можно ли как то без помощи плагинов, устранить конфликт. В инете много информации по этому поводу, но там всё так непонятно написано, в том плане что не ясно куда конкретно вставлять тот или иной код для устранения конфликта, поэтому если не трудно объясните нубу как это делается.
Записан
Ragnos
Давно я тут
****

Репутация: +0/-0
Offline Offline

Сообщений: 254


« Ответ #1 : 08.08.2013, 03:07:48 »

У меня видать просто уникальные проблемы, раз вообще никто не отвечает
Записан
ELLE
Support Team
*****

Репутация: +862/-0
Offline Offline

Пол: Женский
Сообщений: 4723



« Ответ #2 : 08.08.2013, 03:32:35 »

jquery до версии 1.4.3 (вроде бы .3) и выше - несовместимы (очень много различий)
поэтому, или отказаться отчего-то или переписать код
« Последнее редактирование: 08.08.2013, 03:42:54 от ELLE » Записан
Ragnos
Давно я тут
****

Репутация: +0/-0
Offline Offline

Сообщений: 254


« Ответ #3 : 08.08.2013, 04:21:23 »

А если прописать код, ну то есть во многих статьях на эту тему предлагается в какихто местах прописать код подобный noConflict или типа этого. Такой вариант не поможет для таких версий библиотек ?
Записан
ELLE
Support Team
*****

Репутация: +862/-0
Offline Offline

Пол: Женский
Сообщений: 4723



« Ответ #4 : 08.08.2013, 04:46:33 »

код подобный...
код в студию

noConflict ни при чем тут
Записан
Zobakka
Новичок
*

Репутация: +0/-0
Offline Offline

Сообщений: 3


« Ответ #5 : 25.08.2015, 20:44:35 »

Сегодня столкнулся с той же проблемой. Задолбали разные модули использующие различные версии JQuery.

Решил сравнять и перестал работать S5_Box.

Оказалось, что все проблемы были в старой версии jquery.colorbox.js.

Заливайте новую версию и будет работать как надо, но уже с новым JQuery.

ПС. Спустя два года может уже не актуально, но мало ли кому пригодится.
Записан
Страниц: [1]   Вверх
  Добавить закладку  |  Печать  
 
Перейти в:  

Powered by SMF 1.1.21 | SMF © 2006, Simple Machines

Joomlaforum.ru is not affiliated with or endorsed by the Joomla! Project or Open Source Matters.
The Joomla! name and logo is used under a limited license granted by Open Source Matters
the trademark holder in the United States and other countries.

LiveInternet